=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=python-sure
pkgver=1.4.11
pkgrel=7
pkgdesc="An idiomatic testing library for python with powerful and flexible assertions"
arch=('any')
url="https://github.com/gabrielfalcao/sure"
license=('GPL')
depends=('python-six' 'python-mock')
makedepends=('python-setuptools' 'git')
checkdepends=('python-nose')
source=("$pkgname-$pkgver.tar.gz::https://github.com/gabrielfalcao/sure/archive/$pkgver.tar.gz")
sha512sums=('0f3601eff81074d73568014aaf81b2a3e782c95d3a62cf689031bd0c53eaa8eb531a32e4e2d16c4bee4291157f621e52857b575bcfdaf82839f8e1d0d40d3563')

prepare() {
  export LC_CTYPE=en_US.UTF-8
}

build() {
  cd "$srcdir"/sure-$pkgver
  python setup.py build
}

check() {
  cd "$srcdir"/sure-$pkgver
  python setup.py test
}

package() {
  cd sure-$pkgver
  python setup.py install --root="$pkgdir" --optimize=1
}
